Foxit PDF Conversion SDK

Static Public Member Functions | List of all members
foxit::conversion::office2pdf::Office2PDF Class Reference
Inheritance diagram for foxit::conversion::office2pdf::Office2PDF:

## Static Public Member Functions
static bool | ConvertFromExcel (const wchar_t *src_excel_file_path, const wchar_t *src_file_password, const wchar_t *saved_pdf_path, const Office2PDFSettingData &setting_data)
| Convert an Excel format file to a PDF file. More...
static bool | ConvertFromExcel (file::ReaderCallback *src_excel_reader, const wchar_t *src_file_password, file::StreamCallback *saved_pdf_file_stream, const Office2PDFSettingData &setting_data)
| Convert an Excel format file to a PDF file. More...
static bool | ConvertFromPowerPoint (const wchar_t *src_ppt_file_path, const wchar_t *src_file_password, const wchar_t *saved_pdf_path, const Office2PDFSettingData &setting_data)
| Convert a PowerPoint format file to a PDF file. More...
static bool | ConvertFromPowerPoint (file::ReaderCallback *src_ppt_reader, const wchar_t *src_file_password, file::StreamCallback *saved_pdf_file_stream, const Office2PDFSettingData &setting_data)
| Convert a PowerPoint format file to a PDF file. More...
static bool | ConvertFromWord (const wchar_t *src_word_file_path, const wchar_t *src_file_password, const wchar_t *saved_pdf_path, const Office2PDFSettingData &setting_data)
| Convert a Word format file to a PDF file. More...
static bool | ConvertFromWord (file::ReaderCallback *src_word_reader, const wchar_t *src_file_password, file::StreamCallback *saved_pdf_file_stream, const Office2PDFSettingData &setting_data)
| Convert a Word format file to a PDF file. More...

## Additional Inherited Members
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class can be used to convert Office(Word, Excel or PowerPoint) format files to PDF files. Before using methods in this module, please ensure Foxit PDF Conversion SDK has been initialized successfully by function common::Library::Initialize with a key including "Office2PDF" module.

See also
  common::Library

## Member Function Documentation

## ◆ ConvertFromExcel() [1/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromExcel | ( | const wchar_t * | src_excel_file_path,
|  | const wchar_t * | src_file_password,
|  | const wchar_t * | saved_pdf_path,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert an Excel format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from XLSX format files.

Parameters

  [in] | src_excel_file_path | Path of an Excel format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Excel format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.

## ◆ ConvertFromExcel() [2/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromExcel | ( | file::ReaderCallback * | src_excel_reader,
|  | const wchar_t * | src_file_password,
|  | file::StreamCallback * | saved_pdf_file_stream,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert an Excel format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from XLSX format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_excel_reader | A ReaderCallback object which is implemented by user to load an excel document. It should not be NULL.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A foxit::common::file::StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be NULL.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.

## ◆ ConvertFromPowerPoint() [1/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromPowerPoint | ( | const wchar_t * | src_ppt_file_path,
|  | const wchar_t * | src_file_password,
|  | const wchar_t * | saved_pdf_path,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert a PowerPoint format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from PPTX format files.

Parameters

  [in] | src_ppt_file_path | Path of a PowerPoint format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Excel format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.

## ◆ ConvertFromPowerPoint() [2/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromPowerPoint | ( | file::ReaderCallback * | src_ppt_reader,
|  | const wchar_t * | src_file_password,
|  | file::StreamCallback * | saved_pdf_file_stream,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert a PowerPoint format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from PPTX format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_ppt_reader | A ReaderCallback object which is implemented by user to load a ppt document. It should not be NULL.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A foxit::common::file::StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be NULL.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.

## ◆ ConvertFromWord() [1/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromWord | ( | const wchar_t * | src_word_file_path,
|  | const wchar_t * | src_file_password,
|  | const wchar_t * | saved_pdf_path,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert a Word format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from DOC and DOCX format files.

Parameters

  [in] | src_word_file_path | Path of a Word format file. This should not be an empty string.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_path | Path of the saved PDF file as conversion result. This should not be an empty string.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.

## ◆ ConvertFromWord() [2/2]

static bool foxit::conversion::office2pdf::Office2PDF::ConvertFromWord | ( | file::ReaderCallback * | src_word_reader,
|  | const wchar_t * | src_file_password,
|  | file::StreamCallback * | saved_pdf_file_stream,
|  | const Office2PDFSettingData & | setting_data
| ) |  |
| static

Convert a Word format file to a PDF file.

Currently,this function is only available for Windows and Linux Desktop (32-bit and 64-bit), and it supports conversion only from DOC and DOCX format files. The file is read all at once, rather than progressively.

Parameters

  [in] | src_word_reader | A ReaderCallback object which is implemented by user to load a word document. It should not be NULL.
  [in] | src_file_password | (Reserved,encrypted files are unsupported yet)Password for the input Word format file. If no password is needed for the file, please pass an empty string.
  [in] | saved_pdf_file_stream | A foxit::common::file::StreamCallback object which is implemented by user to read the contents of the converted PDF file. It should not be NULL.
  [in] | setting_data | A conversion::office2pdf::Office2PDFSettingData object which is used for converting.

Returns
  true means success, while false means failure.

Note
  If module "Office2PDF" is not defined in the license information which is used in function common::Library::Initialize, that means user has no right in using this function and this function will throw exception foxit::e_ErrNoOffice2PDFModuleRight.